/*******************(C) COPYRIGHT 2019 GRAND-LOTUS ******************************
;* Project            : QT8S726_TIMER1 Demo
;* File Name          : QT8S726_TIMER1.C
;* Author             : GRAND LOTUS
;* Version            : V1.00
;* Date               : 2019/07/01
*********************************************************************************
;
;Option:16M/4T,WDT-Enable-288ms,BOR 2.4V
;
********************************************************************************/

//===============================================================================
#include "common.h"
//============================RAM================================================
ob8 Flag;														 //定义变量
#define 	B_TC1_Flag 		Flag.b0 							 // 定义标志位 
//===============================================================================
//********************************程序主函数*************************************
//===============================================================================
void main(void)					//程序主函数
{          
	System_Init();                //系统初始化
	Clr_RAM_00H_3FH();            //清零RAM
	TC1_INIT();                  //TC1初始化
	while(1)
	{
		if(B_TC1_Flag)
		{ 
			B_TC1_Flag = 0;
			IOA = ~IOA;
			__CLRWDT();			//清看门狗
		}

	}
}

//===============================================================================
//******************************中断服务子程序***********************************
//=====================注:没有使能的中断不要判断中断标志位=======================
//===============================================================================
void int_isr(void) __interrupt	//中断处理函数
{
	__PUSH();						//压栈，保存A,STATUS
	if(TC1IF)						//产生TC1溢出中断
	{
		TC1IF = 0;					//中断标志位清零
		B_TC1_Flag = 1;
	}
	__POP();						//出栈，恢复A,STATUS
}

/*********************************END OF FILE************************************/
