;*******************(C) COPYRIGHT 2019 GRAND-LOTUS ************************
;* Project			  : QT8S726_PWM0 Demo 
;* File Name          : QT8S726_PWM0.ASM
;* Author             : GRAND LOTUS
;* Version            : V1.00
;* Date               : 2019/07/01
;**************************************************************************
;
;Option: 16M/16T,WDT-Enable-288ms,BOR 2.1V
;
;**************************************************************************

        LIST		P=QT8S726
#INCLUDE 	QT8S726.INC
;**************************************************************************
;========================C O D E===========================================
;**************************************************************************			
		ORG			0000H
		GOTO		MainProgram
		ORG			0008H
		;//GOTO		Interrupt	
			
;**************************************************************************
;========================中断处理程序======================================
;================注:没有使能的中断不要判断中断标志位=======================
;**************************************************************************
Interrupt:
		PUSH				;//压栈,保存A,STATUS
;//中断处理程序
		NOP
Interrupt_End:
		POP					;//出栈，恢复A,STATUS
		RETIE						
;**************************************************************************
;===========================主函数=========================================
;**************************************************************************
MainProgram:
		CALL		System_Init           ;//系统初始化
		CALL		Clr_RAM_00H_3FH       ;//清零RAM
		CALL		PWM0_Init		      ;//PWM0初始化	
MainLoop:
		NOP
		CLRWDT							  ;//清看门狗
		GOTO		MainLoop
		
		
		
		
;**************************************************************************
;========================系统初始化========================================
;**************************************************************************
#INCLUDE	System_Init.INC				  ;//系统初始化
#INCLUDE	PWM0_Init.INC				  ;//PWM0初始化

	END
;*********************************END OF FILE******************************  
