/*******************(C) COPYRIGHT 2019 GRAND-LOTUS ******************************
;* Project			  : QT8S726_PWM0 Demo
;* File Name          : QT8S726_PWM0.C
;* Author             : GRAND LOTUS
;* Version            : V1.00
;* Date               : 2019/07/01
*********************************************************************************
;
;Option: 16M/16T,WDT-Enable-288ms,BOR 2.1V
;
********************************************************************************/
//===============================================================================
#include "common.h"
//===============================================================================
//********************************程序主函数*************************************
//===============================================================================
void main(void)					//程序主函数
{
	System_Init();		   		//系统初始化
	Clr_RAM_00H_3FH();    		//清零RAM
	PWM0_Init();          	 	//PWM0初始化
	while(1)
	{
		__NOP();
		__CLRWDT();				//清看门狗
	}
}
//===============================================================================
//******************************中断服务子程序***********************************
//================注:没有使能的中断不要判断中断标志位============================
//===============================================================================
void int_isr(void) __interrupt	//中断处理函数
{
	__PUSH();					//压栈，保存A，STATUS	
//中断处理函数
	__NOP();
	
	__POP();				    //出栈，恢复A，STATUS
}
/*********************************END OF FILE************************************/  
